import { ref, reactive } from "vue";
import { deepAssign } from "../utils/deep-assign.mjs";
import stdin_default$1 from "./lang/zh-CN.mjs";
const lang = ref("zh-CN");
const messages = reactive({
  "zh-CN": stdin_default$1
});
const Locale = {
  messages() {
    return messages[lang.value];
  },
  use(newLang, newMessages) {
    lang.value = newLang;
    this.add({ [newLang]: newMessages });
  },
  add(newMessages = {}) {
    deepAssign(messages, newMessages);
  }
};
var stdin_default = Locale;
export {
  Locale,
  stdin_default as default
};
